---
title: PaymentCurrencyAmount.currency
slug: Web/API/PaymentCurrencyAmount/currency
tags:
  - API
  - Commerce
  - Currency
  - Monetary System
  - Money
  - Payment Request
  - Payment Request API
  - PaymentCurrencySystem
  - Reference
  - payment
---
<p>{{securecontext_header}}{{APIRef("Payment Request API")}}</p>

<p><span class="seoSummary">The {{domxref("PaymentCurrencyAmount")}} property <strong><code>currency</code></strong> is a string which specifies the currency in which the {{domxref("PaymentCurrencyAmount.value", "value")}} is specified.</span> The value is always specified using the 3-letter codes defined by the <a href="https://www.iso.org/iso-4217-currency-codes.html">ISO 4127</a> standard.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>currency</em> = <em>paymentCurrencyAmount</em>.currency;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} specifying the canonical, three-character currency identification code defined by the <a href="https://www.iso.org/iso-4217-currency-codes.html">ISO 4217</a> standard. This is the currency in which the payment's {{domxref("PaymentCurrencyAmount.value", "value")}} is given. All currency values must include the currency system in this property.</p>

<h2 id="Example">Example</h2>

<p>This example represents the price of $42.95 in US dollars.</p>

<pre class="brush: js notranslate">let itemPrice = {
  currency: "USD",
  value: "42.95"
};
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Payment','#dom-paymentcurrencyamount-currency','PaymentCurrencyAmount.currency')}}</td>
   <td>{{Spec2('Payment')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PaymentCurrencyAmount.currency")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Payment_Request_API">Payment Request API</a></li>
 <li><a href="/en-US/docs/Web/API/Payment_Request_API/Using_the_Payment_Request_API">Using the Payment Request API</a></li>
 <li><a href="/en-US/docs/Web/API/Payment_Request_API/Concepts">Payment processing concepts</a></li>
 <li>{{interwiki("wikipedia", "ISO 4217")}} on Wikipedia</li>
</ul>
